package cn.bunny.config;

import feign.Logger;
import org.springframework.cloud.client.loadbalancer.LoadBalanced;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

@Configuration
public class CloudConfiguration {

    @Bean
    @LoadBalanced// 负载均衡
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

    /**
     * 设置openFeign 日志级别
     */
    @Bean
    public Logger.Level feignLoggerLevel() {
        return Logger.Level.FULL;
    }
}
