package cn.bunny.controller;

import cn.bunny.feign.CloudFeignClient;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "云服务接口", description = "云服务接口")
@RequestMapping("/api")
public class CloudController {

    @Autowired
    private CloudFeignClient cloudFeignClient;

    @Operation(summary = "本体接口调用", description = "feignCloud2")
    @GetMapping("feignCloud2")
    public String getFeignCloud2(Long id) {
        return "feign：" + id;
    }

    @Operation(summary = "调用服务1中接口", description = "feignByCloud1")
    @GetMapping("feignByCloud1")
    public String feignByCloud1(Long id) {
        return cloudFeignClient.getFeignCloud1(id);
    }
}
